<?php
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Headers: Authorization, Content-Type");
header("Access-Control-Allow-Methods: POST, OPTIONS");
header("Content-Type: application/json");

if ($_SERVER['REQUEST_METHOD'] === 'OPTIONS') {
    http_response_code(200);
    exit;
}

require_once("config.php");
require_once("database.php");
require_once("auth-check.php");

// Sadece admin işlem yapabilir
if ($decoded_token->data->role !== 'admin') {
    echo json_encode([
        "success" => false,
        "error" => "Yetkisiz erişim."
    ]);
    exit;
}

// Gelen veriyi al
$data = json_decode(file_get_contents("php://input"), true);
$bayiId = $data['id'] ?? null;

if (!$bayiId || !is_numeric($bayiId)) {
    echo json_encode([
        "success" => false,
        "error" => "Geçersiz bayi ID."
    ]);
    exit;
}

// Kullanıcının rolünü 'user' olarak güncelle
$stmt = $conn->prepare("UPDATE users SET role = 'user' WHERE id = ?");
$stmt->bind_param("i", $bayiId);
$success = $stmt->execute();
$stmt->close();

echo json_encode(["success" => $success]);
