<?php
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Headers: Authorization, Content-Type");
header("Access-Control-Allow-Methods: POST, OPTIONS");
header("Content-Type: application/json");

if ($_SERVER['REQUEST_METHOD'] === 'OPTIONS') {
    http_response_code(200);
    exit;
}

require_once("config.php");
require_once("database.php");
require_once("auth-check.php");

if ($decoded_token->data->role !== 'admin') {
    http_response_code(403);
    echo json_encode(['success' => false, 'error' => 'Yetkisiz erişim.']);
    exit;
}

$raw = file_get_contents("php://input");
$data = json_decode($raw, true);
$userId = $data["id"] ?? null;

if (!$userId) {
    echo json_encode(["success" => false, "error" => "Kullanıcı ID eksik."]);
    exit;
}

// Admin kendi hesabını silemesin
if ($decoded_token->data->id == $userId) {
    echo json_encode(["success" => false, "error" => "Kendi hesabınızı silemezsiniz."]);
    exit;
}

// Silinmek istenen kullanıcı admin ise engelle
$stmt = $conn->prepare("SELECT role FROM users WHERE id = ?");
$stmt->bind_param("i", $userId);
$stmt->execute();
$result = $stmt->get_result();
$target = $result->fetch_assoc();
$stmt->close();

if ($target && $target['role'] === 'admin') {
    echo json_encode(["success" => false, "error" => "Admin kullanıcılar silinemez."]);
    exit;
}

$stmt = $conn->prepare("DELETE FROM users WHERE id = ?");
$stmt->bind_param("i", $userId);
$success = $stmt->execute();
$stmt->close();

echo json_encode(["success" => $success]);
