<?php
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Headers: Authorization, Content-Type");
header("Content-Type: application/json");

require_once("config.php");
require_once("auth-check.php");

$user_id = $decoded_token->data->id ?? null;

if (!$user_id) {
    echo json_encode(["status" => "error", "message" => "Geçersiz kullanıcı."]);
    exit;
}

$stmt = $conn->prepare("SELECT ip_address, user_agent, status, created_at FROM login_attempts WHERE user_id = ? ORDER BY created_at DESC LIMIT 20");
$stmt->bind_param("i", $user_id);
$stmt->execute();
$result = $stmt->get_result();

$logs = [];
while ($row = $result->fetch_assoc()) {
    $logs[] = $row;
}

echo json_encode(["status" => "success", "data" => $logs]);
$stmt->close();
$conn->close();
