<?php
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Headers: Authorization, Content-Type");
header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
header("Content-Type: application/json");

if ($_SERVER['REQUEST_METHOD'] === 'OPTIONS') {
    http_response_code(200);
    exit;
}

require_once("config.php");
require_once("database.php");
require_once("auth-check.php"); // 🔐 JWT doğrulama

// Sadece admin yetkisi olanlar bu işlemi yapabilir
if ($decoded_token->data->role !== 'admin') {
    echo json_encode([
        "success" => false,
        "error" => "Yetkisiz erişim."
    ]);
    exit;
}

$bayiler = [];

$stmt = $conn->prepare("
  SELECT u.id, u.name, u.email, u.phone, u.created_at,
    (SELECT COUNT(*) FROM users WHERE bayi_id = u.id) as customer_count
  FROM users u
  WHERE u.role = 'bayi'
  ORDER BY u.id DESC
");

$stmt->execute();
$result = $stmt->get_result();

while ($row = $result->fetch_assoc()) {
    $bayiler[] = $row;
}

$stmt->close();
$conn->close();

echo json_encode([
    "success" => true,
    "bayiler" => $bayiler
]);
