<?php
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Headers: Authorization, Content-Type");
header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
header("Content-Type: application/json");

if ($_SERVER['REQUEST_METHOD'] === 'OPTIONS') {
    http_response_code(200);
    exit;
}

require_once("config.php");
require_once("database.php");
require_once("auth-check.php");

$decoded_token = $GLOBALS['decoded_token']; // 🔥 ZORUNLU
$role = $decoded_token->data->role ?? null;

if ($role !== 'admin') {
    http_response_code(403);
    echo json_encode(["success" => false, "error" => "Yetkisiz erişim."]);
    exit;
}

$today = date("Y-m-d");
$weekLater = date("Y-m-d", strtotime("+7 days"));

try {
    $userCount = $conn->query("SELECT COUNT(*) FROM users")->fetch_row()[0];
    $activeCount = $conn->query("SELECT COUNT(*) FROM user_licenses WHERE end_date >= '$today'")->fetch_row()[0];
    $expiredCount = $conn->query("SELECT COUNT(*) FROM user_licenses WHERE end_date < '$today'")->fetch_row()[0];
    $endingSoonCount = $conn->query("
        SELECT COUNT(*) FROM user_licenses
        WHERE end_date BETWEEN '$today' AND '$weekLater'
    ")->fetch_row()[0];

    echo json_encode([
        "success" => true,
        "stats" => [
            "users" => (int)$userCount,
            "active" => (int)$activeCount,
            "expired" => (int)$expiredCount,
            "ending_soon" => (int)$endingSoonCount
        ]
    ]);
} catch (Exception $e) {
    http_response_code(500);
    echo json_encode(["success" => false, "error" => "Veri çekme hatası."]);
}
