<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json");
require_once("database.php");
require_once("config.php");
require_once("vendor/autoload.php");

use Firebase\JWT\JWT;
use Firebase\JWT\Key;

$raw = file_get_contents("php://input");
$data = json_decode($raw, true);
$token = $data["token"] ?? null;

if (!$token) {
    echo json_encode(["success" => false, "error" => "Token eksik."]);
    exit;
}

try {
    $decoded = JWT::decode($token, new Key(JWT_SECRET_KEY, JWT_ALGO));
    $user_id = $decoded->sub;

    $stmt = $conn->prepare("SELECT action_type, ip_address, user_agent, created_at FROM user_logs WHERE user_id = ? ORDER BY created_at DESC LIMIT 50");
    $stmt->bind_param("i", $user_id);
    $stmt->execute();
    $result = $stmt->get_result();

    $logs = [];
    while ($row = $result->fetch_assoc()) {
        $logs[] = $row;
    }

    echo json_encode(["success" => true, "logs" => $logs]);
} catch (Exception $e) {
    echo json_encode(["success" => false, "error" => "Geçersiz token"]);
}
?>
