<?php
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Headers: Authorization, Content-Type");
header("Access-Control-Allow-Methods: GET, OPTIONS");
header("Content-Type: application/json");

if ($_SERVER['REQUEST_METHOD'] === 'OPTIONS') {
    http_response_code(200);
    exit;
}

// GEREKLİ DOSYALAR
require_once("config.php");
require_once("database.php");      // 🔥 EKLENECEK
require_once("auth-check.php");

// ✅ Admin kontrolü
if (!isset($decoded_token->data->role) || $decoded_token->data->role !== 'admin') {
    echo json_encode(["success" => false, "error" => "Yetkisiz erişim."]);
    exit;
}

// ✅ SQL SORGUSU
$sql = "
SELECT 
  users.id, users.name, users.email, users.phone, users.hwid,
  signals.status, signals.ip_address, signals.last_seen
FROM 
  users
JOIN 
  signals ON LOWER(users.hwid) = LOWER(signals.hwid)
WHERE 
  TRIM(LOWER(signals.status)) = 'online'
";

$result = $conn->query($sql);

// ✅ SONUÇ DÖNÜŞÜ
$online_users = [];
while ($row = $result->fetch_assoc()) {
    $online_users[] = $row;
}

echo json_encode([
  "success" => true,
  "online" => $online_users
]);
?>
