<?php
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Headers: Authorization, Content-Type");
header("Access-Control-Allow-Methods: GET, OPTIONS");
header("Content-Type: application/json");

if ($_SERVER['REQUEST_METHOD'] === 'OPTIONS') {
    http_response_code(200);
    exit;
}

require_once("config.php");
require_once("database.php");

$headers = getallheaders();
$token = isset($headers['Authorization']) ? str_replace("Bearer ", "", $headers['Authorization']) : null;

// JWT kontrolü sadece varsa yapılır
if ($token) {
    require_once("auth-check.php");

    // Token var ama geçersizse
    if (!isset($decoded_token) || !$decoded_token->data || $decoded_token->data->role !== 'admin') {
        http_response_code(403);
        echo json_encode(["success" => false, "error" => "Yetkisiz erişim."]);
        exit;
    }
}

// Paketleri çek
$stmt = $conn->prepare("SELECT id, name, price, description FROM packages ORDER BY name ASC");
$stmt->execute();
$result = $stmt->get_result();

$packages = [];
while ($row = $result->fetch_assoc()) {
    $packages[] = $row;
}

echo json_encode(["success" => true, "packages" => $packages]);
