<?php
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Headers: Content-Type, Authorization");
header("Content-Type: application/json");

require_once("config.php");
require_once("database.php");
require __DIR__ . '/vendor/autoload.php';

use Firebase\JWT\JWT;
use Firebase\JWT\Key;

$token = $_SERVER['HTTP_AUTHORIZATION'] ?? '';

if (!$token) {
    echo json_encode(["success" => false, "error" => "Token eksik."]);
    exit;
}

try {
    $decoded = JWT::decode($token, new Key(JWT_SECRET_KEY, JWT_ALGO));
    $userId = $decoded->sub;

    $stmt = $conn->prepare("SELECT name, username, email FROM users WHERE id = ?");
    $stmt->bind_param("i", $userId);
    $stmt->execute();
    $result = $stmt->get_result();
    $user = $result->fetch_assoc();

    echo json_encode(["success" => true, "data" => $user]);

    $stmt->close();
    $conn->close();

} catch (Exception $e) {
    echo json_encode(["success" => false, "error" => "Token hatalı."]);
}
