<?php
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Headers: Authorization, Content-Type");
header("Access-Control-Allow-Methods: POST, OPTIONS");
header("Content-Type: application/json");

if ($_SERVER['REQUEST_METHOD'] === 'OPTIONS') {
    http_response_code(200);
    exit;
}

require_once("config.php");
require_once("database.php");
require_once("auth-check.php");

if ($decoded_token->data->role !== 'admin') {
    echo json_encode([
        "success" => false,
        "error" => "Sadece admin bu işlemi yapabilir."
    ]);
    exit;
}

$raw = file_get_contents("php://input");
$data = json_decode($raw, true);

$user_id = $data['user_id'] ?? null;

if (!$user_id || !is_numeric($user_id)) {
    echo json_encode([
        "success" => false,
        "error" => "Geçerli kullanıcı ID girilmedi."
    ]);
    exit;
}

// Kullanıcıyı bayi yap
$stmt = $conn->prepare("UPDATE users SET role = 'bayi' WHERE id = ?");
$stmt->bind_param("i", $user_id);
$success = $stmt->execute();
$stmt->close();

if ($success) {
    echo json_encode(["success" => true]);
} else {
    echo json_encode(["success" => false, "error" => "Güncelleme başarısız."]);
}
