<?php
// CORS ve içerik ayarları
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Headers: Authorization, Content-Type");
header("Access-Control-Allow-Methods: POST, OPTIONS");
header("Content-Type: application/json");

// Preflight kontrolü (CORS için)
if ($_SERVER['REQUEST_METHOD'] === 'OPTIONS') {
    http_response_code(200);
    exit;
}

require_once("config.php");
require_once("database.php");
require_once("auth-check.php");

// Sadece admin erişebilir
if ($decoded_token->data->role !== 'admin') {
    http_response_code(403);
    echo json_encode(['success' => false, 'error' => 'Yetkisiz erişim']);
    exit;
}

// JSON veriyi al
$data = json_decode(file_get_contents("php://input"), true);
$id = $data["id"] ?? null;
$note = $data["note"] ?? null;

// Kontrol
if (!$id) {
    echo json_encode(["success" => false, "error" => "ID eksik."]);
    exit;
}

// Güncelle
$stmt = $conn->prepare("UPDATE user_licenses SET note = ? WHERE id = ?");
$stmt->bind_param("si", $note, $id);
$success = $stmt->execute();
$stmt->close();

echo json_encode([
    "success" => $success
]);
